apiVersion: skaffold/v3
kind: Config
metadata:
  name: zulip

build:
  artifacts:
    - image: reg:5000/zulip_image
      platforms: [amd64]
      docker:
        dockerfile: Dockerfile.with-settings
manifests:
  rawYaml:
  # - volumes.yaml
  # - env-secrets.yaml
  - deploy.yaml
  - ingress.yaml
deploy:
  kubectl: {}